Bug 696643 - Spice / qxl fails after a short time with out of memory messages in the log file.
Spice / qxl fails after a short time with out of memory messages in the log f...
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Gerd Hoffmann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-04-14 10:08 EDT by Mike Hinz
Modified: 2012-08-07 12:46 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-07 12:46:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lscpi output of host machine (38.41 KB, text/plain)
2011-04-14 10:08 EDT, Mike Hinz
no flags Details
cpuinfo from host machine (1.50 KB, text/plain)
2011-04-14 10:09 EDT, Mike Hinz
no flags Details
virsh capabilities from host machine (3.07 KB, text/plain)
2011-04-14 10:09 EDT, Mike Hinz
no flags Details
Contents of the VM log file - truncated after a few oom messages (4.20 KB, text/plain)
2011-04-14 10:13 EDT, Mike Hinz
no flags Details

  None (edit)
Description Mike Hinz 2011-04-14 10:08:27 EDT
Created attachment 492113 [details]
lscpi output of host machine

Description of problem:

When attempting to use the spice and qxl options in F15 RC2 beta which has been fully updated as of 20110414, within a few moments of using the graphical desktop, the VM will freeze and on occasion, the host machine also becomes non-responsive.  Additionally the VM log file shows hundred of not thousands of messages 'handle_dev_input: oom current 0 pipe 0',  

Version-Release number of selected component (if applicable):

[root@f15beta qemu]# uname -a
Linux f15beta #1 SMP Wed Mar 30 16:55:57 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

[root@f15beta qemu]# rpm -q qemu-kvm qemu-common python-virtinst virt-viewer virt-manager

How reproducible:

Every time

Steps to Reproduce:
1. In virt-manager set 'display spice' and video to 'qxl'.
2. Start the VM
3. Log into the machine and attempt to use anything on the graphical desktop
Actual results:

VM will either freeze and many times the host machine will temporarily freeze.  Also sometimes after logging in, the user will be abruptly kicked back to the gdm screen.  Plus the log file for the VM shows hundreds of messages 'handle_dev_input: oom current 0 pipe 0'.  

Expected results:

The user should experience a high performance graphical desktop via spice and qxl.  

Additional info:

See attachments for more machine info and for a log file extract.
Comment 1 Mike Hinz 2011-04-14 10:09:17 EDT
Created attachment 492114 [details]
cpuinfo from host machine
Comment 2 Mike Hinz 2011-04-14 10:09:54 EDT
Created attachment 492115 [details]
virsh capabilities from host machine
Comment 3 Mike Hinz 2011-04-14 10:13:35 EDT
Created attachment 492116 [details]
Contents of the VM log file - truncated after a few oom messages

The oom messages go on MUCH longer than indicated in this extract from the log file.
Comment 4 Cole Robinson 2011-04-19 11:51:11 EDT
Not sure where the issue is, reassigning to spice-server for now since it's unlikely this is virt-manager.
Comment 5 Fedora End Of Life 2012-08-07 12:46:24 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:

Note You need to log in before you can comment on or make changes to this bug.